unit Unit1;

interface

uses
 SysUtils, Classes, DB, ADODB,Dialogs;

type
  TDataModule1 = class(TDataModule)
    ADOConnection1: TADOConnection;
    ADOTable1: TADOTable;
    DataSource1: TDataSource;
    ADOTable1Nom: TAutoIncField;
    ADOTable1TeamName: TStringField;
    ADOTable1Fam: TStringField;
    ADOTable1Name: TStringField;
    ADOTable1Nomer: TSmallintField;
    ADOTable1Position: TStringField;
    ADOTable1Strana: TStringField;
    procedure DataModuleCreate(Sender: TObject);
    procedure DataModuleDestroy(Sender: TObject);
    procedure ADOTable1PostError(DataSet: TDataSet; E: EDatabaseError;
      var Action: TDataAction);
  private

    { Private declarations }
  public
    { Public declarations }
  end;

var
  DataModule1: TDataModule1;

implementation

{$R *.dfm}

procedure TDataModule1.DataModuleCreate(Sender: TObject);
begin
ADOTable1.Open;
end;

procedure TDataModule1.DataModuleDestroy(Sender: TObject);
begin
ADOConnection1.Close;
end;

procedure TDataModule1.ADOTable1PostError(DataSet: TDataSet;
  E: EDatabaseError; var Action: TDataAction);
begin
Action:=daAbort;
ShowMessage(' !!!');
ADOTable1.Cancel;
end;

end.
